MONGOC_CLIENT_FIND_DATABASES_WITH_OPTS(3)

NAME
mongoc_client_find_databases_with_opts - mongoc_client_find_databases_with_opts()

SYNOPSIS

        mongoc_cursor_t *
        mongoc_client_find_databases_with_opts (mongoc_client_t *client,
                                                const bson_t *opts);

Fetches a cursor containing documents, each corresponding to a database on this MongoDB server.

PARAMETERS

    •   client: A mongoc_client_t.

    •   opts: A bson_t containing additional options.

ERRORS

Use mongoc_cursor_error on the returned cursor to check for errors.

RETURNS

A cursor where each result corresponds to the server's representation of a database.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc